#!/usr/local/bin/perl

#  See README.paper-database for the file format.

if (!defined($ARGV[0]))
    { print "must give filename (probably PAPERS)\n";  exit(1); }

open(FH, $ARGV[0]) || die "file $ARGV[0] not found.";

$i = 1;
$errors = 0;

while ($line = <FH>) {
    @fields = split(/\s+#\s+/, $line);
    $n = scalar(@fields);
    if ($n != 4) {
	print "Error, line $i has $n field(s):\n@fields";
	$errors++;
	}
    else {
	$id = $fields[0];
	if ($id =~ /^\s/) {
	    print "Error, line $i (paper $id) has white space at the beginning of the line.\n";
	    $errors++;
	    }
	elsif (defined($titles{$id})) {
	    print "Error, more than one paper with ID=$id.\n";
	    $errors++;
	    }
	else {
	    $titles{$id} = $fields[1];
	    }
	}
    $i++;
    }

if ($errors == 0) {
    print "File $ARGV[0] seems to be OK.\n";
    }
