#!/usr/local/bin/perl5

require "configure.pl";
require "cgi-lib.pl";
require "utilities.pl";
require "database.pl";
require "summary.pl";

# This is a stand-alone program to print all of the current
# reports on all papers.  This is the program that is used
# to collect reports for sending to the authors.
# For each paper, one file is created, and all reports for
# the paper are placed in the file.

if (!defined($ARGV[0]))
    { print "Must give directory for reports.\n"; exit(1); }
elsif (-e $ARGV[0])
    { print "Error: directory already exists.\n"; exit(1); }

system("mkdir $ARGV[0]");

$dir = $ARGV[0];
    
#
# Get all reports from Report_file.
#

if (!open(FH, "<$Report_file")) {
    print "cannot open file $Report_file\n";
    exit(1);
    }

local ($irs) = $/;            # save the default input record separator
$/ = $DB_record_sep;

while ($record = <FH>) {
    $record =~ s/$DB_record_sep//;   # dump rec sep at end of rec
    %aa = split($DB_field_sep, $record);
    $id = $aa{"paper_id"};
    $mem = $aa{"pc_member"};
    # A PC member can have more than one report on a paper,
    # and only the last one counts, so the following will
    # cause earlier ratings to be overwritten by the last one.
    $reports{$id,$mem} = $record;  # shortcut; indexes really combined.
    }
close(FH);
$/ = $irs;            # restore the default input record seperator

$n = 0;

foreach $id_mem (keys(%reports)) {
    ($id, $mem) = split($;, $id_mem);  # split index of assoc. array

    if (!open(REPORT_FH, ">>$dir/$id"))
	{ die "cannot open file $dir/$id"; }
    
    $report = $reports{$id_mem};
    %aa = &record_to_assoc_array(*report);
    &print_ref_report_for_authors(REPORT_FH, *aa);

    close(REPORT_FH);

    $n++; print "finished report $n\n" if $n % 10 == 0;

    }

print "$n reports processed.\n";

1;
