#!/usr/local/bin/perl5

require "configure.pl";
require "cgi-lib.pl";
require "utilities.pl";
require "database.pl";
require "summary.pl";

# This is a stand-alone program to print all of the 
# discussion on a given paper.

if (!defined($ARGV[0]))
    { print "Must give paper ID.\n";  exit(1);}
else {
    $id = $ARGV[0];
    }

($pid,$ptype,$title,$authors) = &get_paper($id);

if (!defined($pid)) {
    print "Paper $id not found.\n";
    exit(1);
    }

# Get all discussion on the paper.

@records = &retrieve_events($Discuss_file, "paper_id", $id);

print "Paper $id ($ptype): $title\nAuthor(s): $authors\n\n";
$date = &chop_date();
print "DISCUSSION (as of $date)\n\n";

if (!defined($records[0])) {
    print "No discussion found for paper $id\n";
    exit(1);
    }

foreach $record (@records) {
    %aa = &record_to_assoc_array(*record);
    $contributor = $aa{"pc_member"};
    $event  = $aa{"event_id"};
    $date   = $aa{"date"};
    $comm   = $aa{"comments"};
    print "From $contributor (event $event) $date\n\n";
    print $comm;
    print "\n\n";
    }

1;
