#!/usr/local/bin/perl5

require "configure.pl";
require "cgi-lib.pl";
require "utilities.pl";
require "database.pl";
require "summary.pl";

# This is a stand-alone program to print all of the current
# reports on a given paper.

if (!defined($ARGV[0]))
    { print "Must give paper ID.\n";  exit(1);}
else {
    $id = $ARGV[0];
    }

# Get all reports on the paper.

@records = &retrieve_events($Report_file, "paper_id", $id);

if (!defined($records[0])) {
    print "No reports found for paper $id\n";
    }

# Get all *current* reports on the paper.  If a PC member has
# more than 1 report on the paper, only the latest will be printed.

foreach $record (@records) {
    %aa = &record_to_assoc_array(*record);
    $referee = $aa{"pc_member"};
    $current_reports{$referee} = $record;
    }

#
# OK, we now have the current reports; print them.
#

foreach $referee (keys(%current_reports)) {
    $record = $current_reports{$referee};
    %aa = &record_to_assoc_array(*record);
    &print_ref_report_for_authors(STDOUT, *aa);
    }

1;
