#!/usr/local/bin/perl5

require "configure.pl";
require "database.pl";
require "utilities.pl";

#
# This is a stand-alone program.
#

#
# Look in PC_data_file to get assigned and authored papers
# for each pc member.
#

if (! open(FH, $PC_data_file)) {
    print "<H1>Cannot open file $PC_data_file.</H1>\n";
    die;
    }
while ($line = <FH>) {
    chop($line);
    ($mem, $passwd, $authored, $assigned) = split("#", $line);
    $mem =~ s/\s//g;  # dump white space
    $assigned =~ s/^\s*//;  # dump leading white space
    $assigned{$mem} = $assigned;
    }
close(FH);

if (!open(FH, "$Report_file")) {
    print "cannot open file $Report_file\n";
    die;
    }

$irs = $/;            # save the default input record separator
$/ = $DB_record_sep;

while ($record = <FH>) {
    $record =~ s/$DB_record_sep//;   # dump rec sep at end of rec
    %aa = split($DB_field_sep, $record);
    $id = $aa{"paper_id"};
    $mem = $aa{"pc_member"};
    $reviewed{$mem} .= " $id";
    }
close(FH);
$/ = $irs;            # restore the default input record seperator

$assign_total = 0;
$missing_total = 0;
foreach $mem (keys(%assigned)) {
    @assign = split(' ', $assigned{$mem});
    @review = split(' ', $reviewed{$mem});

    $assign_total += @assign;

    foreach $id (@assign) {
	if (! &member($id, @review)) {
	    $missing{$mem} .= " $id";
            $missing_total += 1;
	    }
        }
    }

foreach $mem (keys(%assigned)) {
    print "$mem: assigned=($assigned{$mem})\n";
    print "$mem: reviewed=($reviewed{$mem})\n";
    print "$mem: missing=($missing{$mem})\n\n";
    }

print "Assigned=$assign_total, missing=$missing_total.\n";
