#!/usr/local/bin/perl5

require "configure.pl";
require "flush.pl";

#
# This is a stand-alone program.  The program chair uses this
# program to update the status of papers (file STATUS).  
#

%map = (
     "A", "ACCEPT ",
     "a", "accept?",
     "",  "       ",
     "r", "reject?",
     "R", "REJECT ",
     "s", "system?",
     "S", "SYSTEM ",
     "?", "?????? ",
     "!", "!!!!!! ");

if (!open(FH, $File_of_papers)) {
    print "Cannot open file $File_of_papers: $!";
    die;
    }

while ($line = <FH>) {
    chop($line);
    ($id,$type,$title,$authors) = split(/\s+#\s+/, $line);

    $tit{$id} = substr($title, 0, 25);  # First 25 chars of title
    $typ{$id} = $type;

    push(@ids, $id);
    }
close(FH);

if (!open(FH, ">>$Status_file")) {
    print "Cannot open file $Status_file: $!";
    die;
    }

foreach $key (keys(%map)) {
    print "$key: $map{$key}\n";
}

do {
    print "Enter paper ID and character status: ";
    $line = <STDIN>;
    chop($line);
    if ($line ne "") {
	($id, $stat) = split(' ', $line);
	if (!defined($tit{$id})) {
	    print "There is no paper with ID=$id.\n";
	}
	elsif (!defined($map{$stat})){
	    print "Status $stat out of range.\n";
	}
	else {
	    $date = `/bin/date -u`;
	    chop($date);
	    print FH "$id # $map{$stat} # $typ{$id} # $date # $tit{$id}\n";
            &flush(FH);
	}
    }
} until ($line eq "");

print "OK, done.\n";
