#!/usr/local/bin/perl5

require "configure.pl";
require "cgi-lib.pl";
require "utilities.pl";
require "database.pl";

####################
print "Content-type: text/html\n\n";      # Print HTML header
####################

# &print_sys_info;                        # Print System info for debugging

&ReadParse(*cgi_input);

# &print_cgi_input(*cgi_input);           # Print CGI input for debugging

$pc_member = &get_cgi_value(*cgi_input, "pc_member");
$paper_id = &get_cgi_value(*cgi_input, "paper_id");

$appropriateness = &get_cgi_value(*cgi_input, "appropriateness");
$significance = &get_cgi_value(*cgi_input, "significance");
$originality = &get_cgi_value(*cgi_input, "originality");
$presentation = &get_cgi_value(*cgi_input, "presentation");
$confidence = &get_cgi_value(*cgi_input, "confidence");
$overall = &get_cgi_value(*cgi_input, "overall");
$comments = &get_cgi_value(*cgi_input, "comments");

# The following can be empty, so get them directly.

$comments_pc = $cgi_input{"comments_pc"};
$referee = $cgi_input{"referee"};

# Get the paper data.

($id,$type,$title,$authors) = &get_paper($paper_id);

# Construct the report.

%report = ("event_id",         undef,
           "date",             undef,
           "pc_member",        $pc_member,
           "paper_id",         $paper_id,
           "appropriateness",  $appropriateness,
           "significance",     $significance,
           "originality",      $originality,
           "presentation",     $presentation,
           "confidence",       $confidence,
           "overall",          $overall,
           "comments",         $comments,
           "comments_pc",      $comments_pc,
           "referee",          $referee);

# File the report.

$report_event = &file_event($Report_file, *report);

# Cast a vote, based on the overall rating.

if    ($overall =~ /Accept/) {$vote = "accept";}
elsif ($overall =~ /Reject/) {$vote = "reject";}
else                         {$vote = "abstain";}

%vote_array = ("event_id",      undef,
	       "date",          undef,
	       "pc_member",     $pc_member,
	       "paper_id",      $paper_id,
	       "vote",          $vote,
	       "type",          "automatic");

$vote_event = &file_event($Vote_file, *vote_array);

# Echo the report and vote.

print "Your report has been filed as event number $report_event.\n";
print "Please keep a copy for your records.\n";
print "<P>Based on your overall rating ($overall), a vote of\n";
print "<I>$vote</I> has been cast automatically.\n";
print "The vote has been filed as event number $vote_event.\n";
print "<P>If you wish to change your report (and vote) on this paper,\n";
print "simply submit another report.\n";
print "<HR>\n";
print "<PRE>\n";

&print_ref_report(STDOUT, *report);

print "</PRE>\n";

1; # return true 
