#!/usr/local/bin/perl5

require "configure.pl";
require "cgi-lib.pl";
require "utilities.pl";
require "flush.pl";

sub register_ind_password {
    local ($pc_member, $encrypted_pwd) = @_;
    local (@lines, $line);

    if (! open(FH, "+<$PC_data_file")) {
	print "Cannot open file $PC_data_file.";
	die;
        }

    # Get an exclusive advisory lock; wait if already locked.
    # (In case two people try to register at once.)

    flock(FH, 2);
    local (@lines) = <FH>;  # Read the whole file at once.
    seek(FH, 0, 0);  # go to beginning

    foreach $line (@lines) {
	$line =~ s/^($pc_member\s*)#\s*#/\1# $encrypted_pwd #/;
        print FH $line;
        }
    &flush(FH);

    flock(FH, 8); 
    close(FH);

    return 1;
    }

####################
print "Content-type: text/html\n\n";      # Print HTML header
####################

# &print_sys_info;                        # Print System info

&ReadParse(*cgi_input);

# &print_cgi_input(*cgi_input);           # Print CGI input

$pc_member = $cgi_input{"pc_member"};
$pc_member =~ s/\s//g;                   # get rid of any white space.

$group_password = $cgi_input{"group-password"};
$group_password =~ s/\s//g;              # get rid of any white space.

$ind_password = $cgi_input{"ind-password"};
$ind_password =~ s/\s//g;              # get rid of any white space.

if (crypt($group_password,"AR") ne $Group_password_encrypted) {
    print "<H1>Group password is incorrect.</H1>\n";
    die;
    }

$existing_password = &get_password($pc_member);

if (!defined($existing_password)) {
    print "<H1>Username $pc_member not recognized.</H1>\n";
    die;
    }

if ($existing_password ne "") {
    print "<H1>An individual password for $pc_member was previously ";
    print "registered.  If you are $pc_member, and if you have never ";
    print "registered an individual password, contact $Admin right ";
    print "away.</H1>\n";
    &log_access($pc_member, "register", "ALARM: previously registered");
    die;
    }

if ($ind_password eq "") {
    print "<H1>An empty password is not allowed.</H1>";
    die;
    }

# OK, he's in.  Log access, then print the main menu page.

&log_access($pc_member, "register", "ok");

if (&register_ind_password($pc_member, crypt($ind_password,"AR"))) {

############################################ vvvvvvvvvvvvvvv
print <<END_OF_FILE;

All is well.  Your individual password has been registered.
You can now go back to the page "$Conference Program Committee Web Pages",
enter your individual password, and log in.
If you forget your password, contact $Admin.

END_OF_FILE
############################################ ^^^^^^^^^^^^^^
    }

1; #return true 
